package Cairo::Install::Files;

$self = {
          'deps' => [],
          'inc' => '-I. -Ibuild -I/opt/anaconda1anaconda2anaconda3/include/cairo -I/opt/anaconda1anaconda2anaconda3/include/glib-2.0 -I/opt/anaconda1anaconda2anaconda3/lib/glib-2.0/include -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/pixman-1 -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/uuid -I/opt/anaconda1anaconda2anaconda3/include/libxml2 -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/freetype2 -I/opt/anaconda1anaconda2anaconda3/include/libpng16 -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/cairo -I/opt/anaconda1anaconda2anaconda3/include/glib-2.0 -I/opt/anaconda1anaconda2anaconda3/lib/glib-2.0/include -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/pixman-1 -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/uuid -I/opt/anaconda1anaconda2anaconda3/include/libxml2 -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/libpng16 -I/opt/anaconda1anaconda2anaconda3/include -I/opt/anaconda1anaconda2anaconda3/include/freetype2',
          'libs' => '-L/opt/anaconda1anaconda2anaconda3/lib -lcairo -L/opt/anaconda1anaconda2anaconda3/lib -lcairo -lfreetype',
          'typemaps' => [
                          'cairo-perl-auto.typemap',
                          'cairo-perl.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Cairo/Install/Files.pm") {
			$CORE = $_ . "/Cairo/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		if ($lang ne 'C') {
			warn "Warning: Inline hints not available for $lang language
";
			return;
		}
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
